As all of you know the pending release of Apple's latest version of OS X, version 10.6 (aka Snow Leopard), will be available this Friday, August 28th. To help you decide whether to purchase this upgrade, or more precisely, whether the applications, utilities and plugins you're using are compatible with OS 10.6. There is a Wiki created to track such information.

So before you rush onto Apple Online Store or other online retailers to place your pre-order. You may want to run down the check list first. See if one of the applications you depends on is on the list. If it is marked as not compatible, you may want to check with the developer before making your purchase.

Snow Leopard Compatibility Chart

Posted
AuthorVinko
CategoriesApple Inc-